import Vue, { ComponentOptions, VueConstructor } from 'vue';
export interface ServiceModalModel {
    /** Dialog 的标题，也可通过具名 slot （见下表）传入 */
    title?: VueConstructor | Vue | ComponentOptions<any> | string | undefined | Record<string, any> | any;
    /** Dialog 的宽度 */
    width?: string | number;
    /** 子组件定义 */
    component: VueConstructor | Vue | ComponentOptions<any> | Record<string, any> | any;
    /** 要传递给子组件的属性 */
    data?: Record<string, any>;
    /** element-ui dialog（@see https://element.eleme.io/#/zh-CN/component/dialog） */
    elProps?: {
        /** Dialog是否占满全屏 */
        fullscreen?: boolean;
        /** Dialog CSS 中的 margin-top 值 */
        top?: string;
        /** 是否需要遮罩层 */
        modal?: boolean;
        /** 遮罩层是否插入至 body 元素上，若为 false，则遮罩层会插入至 Dialog 的父元素上 */
        modalAppendToBody?: boolean;
        /** 显示 Dialog 时是否禁用 body 的滚动 */
        lockScroll?: boolean;
        /** Dialog 的自定义类名 */
        customClass?: string;
        /** Dialog是否可以通过点击遮罩关闭 */
        closeOnClickModal?: boolean;
        /** 是否可以按ESC关闭Dialog */
        closeOnPressEscape?: boolean;
        /** 是否显示关闭按钮 */
        showClose?: boolean;
        [key: string]: any;
    };
    footer?: null | undefined | VueConstructor | Vue | ComponentOptions<any>;
    footerAlign?: 'left' | 'center' | 'right';
    /** 默认："取消" （如果 cancelText 和 okText 都为 null，则删除页脚部分）*/
    cancelBtn?: {
        text: string | undefined | null;
        [key: string]: any;
    } | null;
    /** 默认："确定" （如果 cancelText 和 okText 都为 null，则删除页脚部分）*/
    okBtn?: {
        text: string | undefined | null;
        [key: string]: any;
    } | null;
    [key: string]: any;
}
export declare function $modal(props: ServiceModalModel): Promise<unknown>;
